use crate::{
    actions::repo::parse_owner_and_repo, cli::repo::delete::RepoDeleteArgs,
    types::context::BergContext,
};

pub async fn delete_repo(ctx: BergContext<RepoDeleteArgs>) -> anyhow::Result<()> {
    let (owner, repo) = parse_owner_and_repo(ctx.args.owner_and_repo.as_str())?;
    ctx.client
        .repo_delete(owner.as_str(), repo.as_str())
        .await?;
    Ok(())
}
